RHEL 4 / 5 : java-1.4.2-ibm (RHSA-2012:0006) (BEAST)

Critical Nessus Plugin ID 57464

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

Updated java-1.4.2-ibm packages that fix several security issues are
now available for Red Hat Enterprise Linux 4 Extras and Red Hat
Enterprise Linux 5 Supplementary.

The Red Hat Security Response Team has rated this update as having
critical security impact. Common Vulnerability Scoring System (CVSS)
base scores, which give detailed severity ratings, are available for
each vulnerability from the CVE links in the References section.

The IBM Java SE version 1.4.2 release includes the IBM Java 1.4.2
Runtime Environment and the IBM Java 1.4.2 Software Development Kit.

This update fixes several vulnerabilities in the IBM Java 1.4.2
Runtime Environment and the IBM Java 1.4.2 Software Development Kit.
Detailed vulnerability descriptions are linked from the IBM 'Security
alerts' page, listed in the References section. (CVE-2011-3389,
CVE-2011-3545, CVE-2011-3547, CVE-2011-3548, CVE-2011-3549,
CVE-2011-3552, CVE-2011-3556, CVE-2011-3557, CVE-2011-3560)

All users of java-1.4.2-ibm are advised to upgrade to these updated
packages, which contain the IBM Java 1.4.2 SR13-FP11 release. All
running instances of IBM Java must be restarted for this update to
take effect.

Solution

Update the affected packages.

See Also

https://access.redhat.com/security/cve/cve-2011-3389

https://access.redhat.com/security/cve/cve-2011-3545

https://access.redhat.com/security/cve/cve-2011-3547

https://access.redhat.com/security/cve/cve-2011-3548

https://access.redhat.com/security/cve/cve-2011-3549

https://access.redhat.com/security/cve/cve-2011-3552

https://access.redhat.com/security/cve/cve-2011-3556

https://access.redhat.com/security/cve/cve-2011-3557

https://access.redhat.com/security/cve/cve-2011-3560

https://developer.ibm.com/javasdk/support/security-vulnerabilities/

https://access.redhat.com/errata/RHSA-2012:0006

Plugin Details

Severity: Critical

ID: 57464

File Name: redhat-RHSA-2012-0006.nasl

Version: 1.22

Type: local

Agent: unix

Published: 2012/01/10

Modified: 2018/12/20

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Temporal Score: 8.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:java-1.4.2-ibm, p-cpe:/a:redhat:enterprise_linux:java-1.4.2-ibm-demo, p-cpe:/a:redhat:enterprise_linux:java-1.4.2-ibm-devel, p-cpe:/a:redhat:enterprise_linux:java-1.4.2-ibm-javacomm, p-cpe:/a:redhat:enterprise_linux:java-1.4.2-ibm-jdbc, p-cpe:/a:redhat:enterprise_linux:java-1.4.2-ibm-plugin, p-cpe:/a:redhat:enterprise_linux:java-1.4.2-ibm-src, cpe:/o:redhat:enterprise_linux:4, cpe:/o:redhat:enterprise_linux:5

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/01/09

Exploitable With

Metasploit (Java RMI Server Insecure Default Configuration Java Code Execution)

Reference Information

CVE: CVE-2011-3389, CVE-2011-3545, CVE-2011-3547, CVE-2011-3548, CVE-2011-3549, CVE-2011-3552, CVE-2011-3556, CVE-2011-3557, CVE-2011-3560

BID: 49388, 49778, 50211, 50220, 50223, 50231, 50234, 50236, 50243, 50248

RHSA: 2012:0006